Support for ArcGIS versions

Back to overview

Support for ArcGIS versions

02.08.2019

GEONIS 2017 Service Pack 2 (Release end of November 2019) supports ArcGIS versions 10.5.1 and 10.6.1. With the following release GEONIS 2017 Service Pack 3, the latest long-term release version of ArcGIS will be supported.

ArcGIS 10.6.1 will be supported with all upcoming GEONIS versions. Esri promises patches and support for 10.6.1 until 2024 (GeoNet: The Esri Community). We recommend customers to stay on 10.6.1 unless there are compelling reasons to update to newer ArcGIS versions.

Additionally, we will support the latest long-term release version of ArcGIS with GEONIS 2017 Service Pack 3, which is planned for the end of 2020. Long-Term releases will be supported by Esri for 6 years with patches and updates for 4 years. Therefore, we will only support long-term releases. 

Detailed information about the adapted Esri Support Policy: ArcGIS Blog